Library Version 11.2.5.3

DbSequence::get_flags()
Prev | Chapter 12. The DbSequence Handle | Next

## DbSequence::get_flags()

    #include <db_cxx.h>

    int DbSequence::get_flags(u_int32_t *flagsp);

The `DbSequence::get_flags()` method returns the current flags.

The `DbSequence::get_flags()` method may be called at any time during the life of the application.

The `DbSequence::get_flags()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flagsp

The `DbSequence::get_flags()` method returns the current flags in flagsp.

### Class

DbSequence

### See Also

Sequences and Related Methods

Prev | Up | Next
DbSequence::get_dbp() | Home | DbSequence::get_key()